# std::mem_fun1_t< _Ret, _Tp, _Arg > Class Template Reference
[Adaptors for pointers to members]

Inheritance diagram for std::mem_fun1_t< _Ret, _Tp, _Arg >:

List of all members.

## Detailed Description

### template<typename _Ret, typename _Tp, typename _Arg>
class std::mem_fun1_t< _Ret, _Tp, _Arg >

pointers.

Definition at line 588 of file stl_function.h.

## Public Types

- typedef _Tp * first_argument_type
- typedef _Ret result_type
- typedef _Arg second_argument_type

## Public Member Functions

- mem_fun1_t (_Ret(_Tp::*__pf)(_Arg))
- _Ret operator() (_Tp *__p, _Arg __x) const

## Member Typedef Documentation

typedef _Tp * std::binary_function< _Tp * , _Arg , _Ret >::first_argument_type `[inherited]`

the type of the first argument

Definition at line 117 of file stl_function.h.

typedef _Ret std::binary_function< _Tp * , _Arg , _Ret >::result_type `[inherited]`

type of the return type

Definition at line 121 of file stl_function.h.

typedef _Arg std::binary_function< _Tp * , _Arg , _Ret >::second_argument_type `[inherited]`

(no surprises here) the type of the second argument

Definition at line 120 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h